package ru.yandex.webmaster3.storage.util.sql;

/**
 * @author avhaliullin
 */
public interface JdbcProvider {
    public String getDbIdentity();

    public TransactionTemplate getTransactionTemplate();

    public TransactionTemplate getLightTransactionTemplate();

    public IReadJdbcTemplate getReadTemplate();

    public IWriteJdbcTemplate getWriteTemplate();
}
